package net.wanji.opt.servicev2.judgeanalysis.impl;


import net.wanji.common.framework.dubbointerface.impl.BaseDubboInterfaceImpl;
import net.wanji.common.framework.mapper.BaseInterfaceMapper;
import net.wanji.databus.dao.mapper.BaseAreaInfoMapper;
import net.wanji.databus.po.BaseAreaInfoPO;
import net.wanji.opt.entity.BaseAreaInfo;

import lombok.extern.slf4j.Slf4j;
import net.wanji.opt.servicev2.judgeanalysis.BaseAreaInfoService;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.stereotype.Component;
import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Stream;


/**
 * <p>
 * 区域基础信息
 * </p>
 *
 * @Author wangtao
 * @Date 2025-03-18
 */
@Slf4j
@Component
@Service
public class BaseAreaInfoServiceImpl   implements BaseAreaInfoService {

    @Resource
    private BaseAreaInfoMapper baseAreaInfoMapper;


    /**
     * 根据区划类型查询对应集合（含子集）
     * @param type
     * @return
     */
    public List<BaseAreaInfoPO> selectByType(Integer type){
         //指定查询一期示范区
         BaseAreaInfoPO  parent = baseAreaInfoMapper.selectById(12);

         List<BaseAreaInfoPO> child = baseAreaInfoMapper.selectByParentCode(parent.getId());
         List<BaseAreaInfoPO> retList = new ArrayList<>();
         retList.add(parent);
         retList.addAll(child);

        return  retList;
    }
}
